/ic/workers/invoices/:invoice_id/pdf

This endpoint provides embedded worker flows access to download a pdf of a specific invoice while using a worker:PAT token. Token scopes: accounting:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

invoice_idstringRequiredformat: "uuid"

Public invoice identifier (UUID) for the invoice whose PDF URL is returned.

Response

Signed PDF URL for download.
dataobject
Payload with the signed download URL.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error